GRPC MacOS M1 处理器的问题

最近在编译 GRPC 的时候遇到了一个奇怪的问题,提示没有找到 GRPC 编译上使用的编译器。

主要原因就是 Java 使用的 Maven 插件将新的 Apple 操作系统识别成了 protoc-3.11.4-osx-aarch_64.exe。

如果你的 GRPC 使用插件的版本不够的话,这个可执行文件是没有在中央仓库中找到了。

例如,我们使用的 3.11.4 的版本就没有找到了。

可以做的就是对使用的插件版本进行升级。

例如我们可以升级到 3.17.3 的版本。

在这个版本中,我们就可以看到我们需要使用的插件了。

查看 Maven 库中可执行文件的地址链接为:

https://repo1.maven.org/maven2/com/google/protobuf/protoc/3.17.3/